Page MenuHomePhabricator

The title attribute of interwiki links is missing in Monobook/Vector/Modern skins
Closed, ResolvedPublic

Description

Author: v111p

Description:
The interwiki links in the languages sidebar used to have title attributes (containing the name of the article in the other wiki), but now they are missing in Monobook, Vector and other skins.

The title attributes are still there in the Cologne Blue skin.


Version: 1.18.x
Severity: minor

Details

Reference
bz31505

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:56 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz31505.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 7 2011, 9:36 PM
TheDJ added a comment.Oct 9 2011, 5:59 PM

Created attachment 9201
Keep the title attributes

Confirmed, the new portlet linkbuilder was destroying 'title' attributes on links. This was not that visible, since most titles (and accesskeys) are actually generated on the fly based on element id.

Whitelisting the title attribute in makeListItem() and makeLink() of includes/SkinTemplate.php does the trick

Attached:

TheDJ added a comment.Oct 9 2011, 6:01 PM

Created attachment 9202
Another patch that changes the approach for title forwarding

I actually think that whitelisting link attributes here is a bad idea. The reason is that some of the attributes need to be passed to one element, and some other elements to the wrapper element.

I think that an approach of explicit overriding an explicit removing of attributes (blacklist) is a better approach in that case. General idea in the patch, though probably should get a little more TLC.

Attached:

TheDJ added a comment.Oct 9 2011, 9:54 PM

Fixed by r99369

  • Bug 31698 has been marked as a duplicate of this bug. ***

tagging bugs for Marcus to look at

Backported to 1.18 in r102522.